com.fasterxml.jackson.jaxrs.util

## Class LRUMap<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<K,V>
      - - com.fasterxml.jackson.jaxrs.util.LRUMap<K,V>

All Implemented Interfaces:
  Serializable, Cloneable, Map<K,V>

Deprecated.
Since 2.16.1 Use one from `jackson-databind` instead.

    @Deprecated
    public class LRUMap<K,V>
    extends LinkedHashMap<K,V>

Helper for simple bounded LRU maps used for reusing lookup values.

Since:
  2.2
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Field Summary

Fields
`protected int` `_maxEntries` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`LRUMap(int initialEntries, int maxEntries)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected boolean` `removeEldestEntry(Map.Entry<K,V> eldest)` Deprecated.

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Field Detail

#### _maxEntries

    protected final int _maxEntries

Deprecated.

### Constructor Detail

#### LRUMap

    public LRUMap(int initialEntries,
                  int maxEntries)

Deprecated.

### Method Detail

#### removeEldestEntry

    protected boolean removeEldestEntry(Map.Entry<K,V> eldest)

Deprecated.

Overrides:
  `removeEldestEntry` in class `LinkedHashMap<K,V>`